{
  "type": "minecraft:entity",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:allay_spawn_egg",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:item_name": {
                  "translate": "block.overlyrealistic.cave_paintings.pointing_left",
                  "fallback": "Pointing Left Cave Painting",
                  "color": "white"
                },
                "minecraft:entity_data": {
                  "Tags": [
                            "OverlyRealistic.Block.IsCustomBlockMarker"
                          ],
                  "id": "minecraft:marker",
                  "data": {
                      "placement_function": "overly_realistic:general/custom_blocks/cave_painting/player_place_cave_painting",
                      "type": "pointing_left",
                      "IsCustomBlock": "pointing_left_cave_painting",
                      "painting_type": "👈",
                      "painting_color": "#A92323"
                  }
                },
                "minecraft:custom_data": {
                  "IsCustomBlock": "pointing_left_cave_painting",
                  "IsCavePainting": true
                },
                "item_model": "overlyrealistic:blocks/cave_paintings/pointing_left"
              }
            }
          ]
        }
      ]
    }
  ]
}